#ifndef	XPW_DIALOG_H
#define	XPW_DIALOG_H

/*
 * Xorcom Panel Widgets - IP-Address box
 */

#include <xpanel/xpw.h>

#define	MAX_DIALOG_ITEMS	10
#define	XPW_DIALOG_MAXWIDTH	16

struct xpw_dialog {
	struct xpw		myself;	/* WARNING: must be first */
	char			prompt[XPW_DIALOG_MAXWIDTH + 1];	/* for '\0' */
	struct xpw		*entries[MAX_DIALOG_ITEMS];
	int			curr_entry;
};


XPANEL_API	int xpw_dialog_construct(struct xpw_dialog *xpw_dialog, const char prompt[]);
XPANEL_API	int xpw_dialog_addwidget(struct xpw_dialog *xpw_dialog, struct xpw *widget);
XPANEL_API	int xpw_dialog_delwidget(struct xpw_dialog *xpw_dialog, struct xpw *widget);

XPANEL_PRIVATE	int xpw_dialog_register(void);
XPANEL_PRIVATE	void xpw_dialog_unregister(void);

#endif	/* XPW_DIALOG_H */
