#ifndef	XPW_DISPLAY_BOX_H
#define	XPW_DISPLAY_BOX_H

/*
 * Xorcom Panel Widgets - Display box (not editable info)
 */

#include <xpanel/xpw.h>

#define	XPW_DISPLAYBOX_MAXWIDTH	16

struct xpw_displaybox {
	struct xpw		myself;	/* WARNING: must be first */
	char			prompt[XPW_DISPLAYBOX_MAXWIDTH + 1];	/* for '\0' */
	char			contents[XPW_DISPLAYBOX_MAXWIDTH + 1];	/* for '\0' */
	int			cursor_pos;
};


XPANEL_API	int xpw_displaybox_construct(struct xpw_displaybox	*xpw_dbox, const char *prompt);
XPANEL_API	int xpw_displaybox_set(struct xpw_displaybox *xpw_dbox, const char *text);

XPANEL_PRIVATE	int xpw_displaybox_register(void);
XPANEL_PRIVATE	void xpw_displaybox_unregister(void);

#endif	/* XPW_DISPLAY_BOX_H */
