#ifndef	XPW_EDITBOX_H
#define	XPW_EDITBOX_H

/*
 * Xorcom Panel Widgets - Editbox
 */

#include <xpanel/xpw.h>

#define	EDITBOX_MAXWIDTH	16

struct xpw_editbox {
	struct xpw		myself;	/* WARNING: must be first */
	char			prompt[EDITBOX_MAXWIDTH + 1];
	char			contents[EDITBOX_MAXWIDTH + 1];	/* for '\0' */
	int			cursor_pos;
};

XPANEL_API	int xpw_editbox_construct(struct xpw_editbox	*xpw_ebox, const char *prompt);

XPANEL_PRIVATE	int xpw_editbox_register(void);
XPANEL_PRIVATE	void xpw_editbox_unregister(void);

#endif	/* XPW_EDITBOX_H */
