#ifndef	XPW_HOTKEYS_H
#define	XPW_HOTKEYS_H

#include <stdint.h>
#include <xpanel/xpw.h>
#include <xpanel/pcptalk.h>

typedef struct xpw *(*xpw_hotkey_func_t)(enum keycodes key, struct xpw *widget);

XPANEL_API	int xpw_hotkey_set(enum keycodes key, struct xpw *widget, xpw_hotkey_func_t func);
XPANEL_API	int xpw_hotkey_unset(enum keycodes key);
XPANEL_API	struct xpw *process_hotkey(struct xpw *from_widget, enum keycodes key);
XPANEL_API	void xpw_hotkey_mask_full(uint64_t *mask);
XPANEL_API	void xpw_hotkey_mask_empty(uint64_t *mask);
XPANEL_API	void xpw_hotkey_mask_add(uint64_t *mask, enum keycodes key);
XPANEL_API	void xpw_hotkey_mask_del(uint64_t *mask, enum keycodes key);

#endif	/* XPW_HOTKEYS_H */
