#ifndef	XPW_YESNO_H
#define	XPW_YESNO_H

/*
 * Xorcom Panel Widgets - Yes/No dialog
 */

#include <xpanel/xpw.h>

#define	PROMPT_MAXWIDTH	16

struct xpw_yesno {
	struct xpw		myself;	/* WARNING: must be first */
	char			prompt[PROMPT_MAXWIDTH + 1];		/* for '\0' */
	char			answer[2][PROMPT_MAXWIDTH/2 + 1];	/* for '\0' */
	int			current_choice;
	int			default_choice;
};

XPANEL_API	int xpw_yesno_result(struct xpw_yesno *yesno);
XPANEL_API	int xpw_yesno_construct(struct xpw_yesno *xpw_yesno,
			const char *prompt,
			const char *yes,
			const char *no,
			int default_choice);

XPANEL_PRIVATE	int xpw_yesno_register(void);
XPANEL_PRIVATE	void xpw_yesno_unregister(void);

#endif	/* XPW_YESNO_H */
