#ifndef	XPW_MODAL_H
#define	XPW_MODAL_H

/*
 * Xorcom Panel Widgets - Modal dialog
 */

#include <xpanel/xpw.h>


struct xpw_modal;

struct xpw_modal {
	struct xpw		myself;	/* WARNING: must be first */
	int			is_active;
	struct xpw		*parent;
	struct xpw		*delegate;
};

XPANEL_API	int modal_construct(struct xpw_modal *modal, struct xpw *parent, struct xpw *delegate);
XPANEL_API	void modal_active(struct xpw_modal *modal, int on);

XPANEL_PRIVATE	int xpw_modal_register(void);
XPANEL_PRIVATE	void xpw_modal_unregister(void);

#endif	/* XPW_MODAL_H */
